searchNodes=[{"doc":"Essence is a Natural Language Processing and Text Summarization Library for Elixir.","ref":"Essence.html","title":"Essence","type":"module"},{"doc":"The clinton method is a convenience method for reading the supplemented plain-text file of the 2016 Hillary Clinton Nomination Acceptance Speech, which is part of the Essence unit test suite.","ref":"Essence.html#clinton/0","title":"Essence.clinton/0","type":"function"},{"doc":"","ref":"Essence.html#document_from_file/1","title":"Essence.document_from_file/1","type":"function"},{"doc":"The genesis method is a convenience method for reading the supplemented plain-text file of the Book of Genesis, which is part of the Essence unit test suite.","ref":"Essence.html#genesis/0","title":"Essence.genesis/0","type":"function"},{"doc":"The read_file method reads a plain-text file from a given filename and returns a UTF-8 encoded bitstring representation of the text.","ref":"Essence.html#read_file/1","title":"Essence.read_file/1","type":"function"},{"doc":"The stream_lines method reads a plain-text file from a given filename and returns an UTF-8 encoded stream of lines. This allows us to perform efficient stream-processing of large text files.","ref":"Essence.html#stream_lines/1","title":"Essence.stream_lines/1","type":"function"},{"doc":"The trump method is a convenience method for reading the supplemented plain-text file of the 2016 Donal Trump Nomination Acceptance Speech, which is part of the Essence unit test suite.","ref":"Essence.html#trump/0","title":"Essence.trump/0","type":"function"},{"doc":"This module contains a collection of methods that assist in benchmarking and performance optimizing the Essence package.","ref":"Essence.Benchmark.html","title":"Essence.Benchmark","type":"module"},{"doc":"Reading a plain text file from the given filename path and tokenizing the text. Alternative A.","ref":"Essence.Benchmark.html#from_plaintext_file_a/1","title":"Essence.Benchmark.from_plaintext_file_a/1","type":"function"},{"doc":"Reading a plain text file from the given filename path and tokenizing the text. Alternative B.","ref":"Essence.Benchmark.html#from_plaintext_file_b/1","title":"Essence.Benchmark.from_plaintext_file_b/1","type":"function"},{"doc":"This module contains helpful methods to chunk text into paragraphs and sentences.","ref":"Essence.Chunker.html","title":"Essence.Chunker","type":"module"},{"doc":"Chunks a given text into paragraphs. A paragraph is any text, separated by two or more newline characters.","ref":"Essence.Chunker.html#paragraphs/1","title":"Essence.Chunker.paragraphs/1","type":"function"},{"doc":"Chunks the given text into sentences.","ref":"Essence.Chunker.html#sentences/1","title":"Essence.Chunker.sentences/1","type":"function"},{"doc":"This module implements the revised (1995) list of Dale-Chall's 'easy' words.","ref":"Essence.DaleChall.html","title":"Essence.DaleChall","type":"module"},{"doc":"Returns true if the given token is in the Dale-Chall list of easy words, false otherwise.","ref":"Essence.DaleChall.html#is_easy_word?/1","title":"Essence.DaleChall.is_easy_word?/1","type":"function"},{"doc":"Returns true if the given token is not in the Dale-Chall list of easy words, false otherwise.","ref":"Essence.DaleChall.html#is_hard_word?/1","title":"Essence.DaleChall.is_hard_word?/1","type":"function"},{"doc":"This module defines the struct type Essence.Document , as well as a variety of convenience methods for access the document's text, paragraphs, sentences and tokens.","ref":"Essence.Document.html","title":"Essence.Document","type":"module"},{"doc":"Pretty prints all occurrences of token in the given Essence.Document , doc . Prints n (default=20) characters of context.","ref":"Essence.Document.html#concordance/3","title":"Essence.Document.concordance/3","type":"function"},{"doc":"For each occurrence of token in the given Essence.Document , doc , returns a list containing the token as well as n (default=5) tokens to the left and right of the occurrence.","ref":"Essence.Document.html#context_of/3","title":"Essence.Document.context_of/3","type":"function"},{"doc":"Retrieve the list of all tokens contained in the given Essence.Document","ref":"Essence.Document.html#enumerate_tokens/1","title":"Essence.Document.enumerate_tokens/1","type":"function"},{"doc":"Find all occurrences of token in the given Essence.Document . Returns a list of [token: index] tuples.","ref":"Essence.Document.html#find_token/2","title":"Essence.Document.find_token/2","type":"function"},{"doc":"Read the text represented by a String and create an Essence.Document .","ref":"Essence.Document.html#from_text/1","title":"Essence.Document.from_text/1","type":"function"},{"doc":"Returns a list of all the 1-contexts (1 token to the left, 1 token to the right) of the given token in the given document , excluding the token itself.","ref":"Essence.Document.html#one_contexts_of/2","title":"Essence.Document.one_contexts_of/2","type":"function"},{"doc":"Retrieve a the n -th tokenized paragraph from the given Essence.Document","ref":"Essence.Document.html#paragraph/2","title":"Essence.Document.paragraph/2","type":"function"},{"doc":"Retrieve the tokenized paragraphs from the given Essence.Document .","ref":"Essence.Document.html#paragraphs/1","title":"Essence.Document.paragraphs/1","type":"function"},{"doc":"Retrieve the n -th tokenized sentence from the given Essence.Document","ref":"Essence.Document.html#sentence/2","title":"Essence.Document.sentence/2","type":"function"},{"doc":"Retrieve the tokenized sentences from the given Essence.Document .","ref":"Essence.Document.html#sentences/1","title":"Essence.Document.sentences/1","type":"function"},{"doc":"Retrieve the list of all words in the given Essence.Document , ignoring all tokens that are punctuation.","ref":"Essence.Document.html#words/1","title":"Essence.Document.words/1","type":"function"},{"doc":"This module offers various utility functions for generating bi-grams, tri-grams, and n-grams for given textual elements.","ref":"Essence.Ngrams.html","title":"Essence.Ngrams","type":"module"},{"doc":"Calculate a list of two consecutive token pairs (bi-grams) from the given token_list or Essence.Document .","ref":"Essence.Ngrams.html#bigrams/1","title":"Essence.Ngrams.bigrams/1","type":"function"},{"doc":"Calculate a list of n consecutive token sequences (n-grams) from the given token_list or Essence.Docuemnt .","ref":"Essence.Ngrams.html#ngrams/2","title":"Essence.Ngrams.ngrams/2","type":"function"},{"doc":"Calculate a list of three consecutive token triples (tri-grams) from the given token_list or Essence.Docuemnt .","ref":"Essence.Ngrams.html#trigrams/1","title":"Essence.Ngrams.trigrams/1","type":"function"},{"doc":"The Readbility module contains several methods for calculating the readability scores of a text.","ref":"Essence.Readability.html","title":"Essence.Readability","type":"module"},{"doc":"The ari_score method calculates the Automated Readability Index (ARI) of a given Essence.Document . Details The ARI uses two quantities, mu(w) and mu(s), where mu(w) is average number of letters per word in the given text and mu(s) is the average number of words per sentence in the given text. The ARI is then defined by the following formula: ari = 4.71 * mu(w) + 0.5 * mu(s) - 21.43 Commonly, the ARI score is rounded up and translated by the following table: ARI score Readability Level Reader Age 1 Kindergarten 5-6 2 First Grade 6-7 3 Second Grade 7-8 4 Third Grade 8-9 5 Fourth Grade 9-10 6 Fifth Grade 10-11 7 Sixth Grade 11-12 8 Seventh Grade 12-13 9 Eighth Grade 13-14 10 Ninth Grade 14-15 11 Tenth Grade 15-16 12 Eleventh Grade 16-17 13 Twelth Grade 17-18 14+ College 18-22","ref":"Essence.Readability.html#ari_score/1","title":"Essence.Readability.ari_score/1","type":"function"},{"doc":"The Coleman-Liau readability test. Like the ARI but unlike most of the other indices, Coleman–Liau relies on characters instead of syllables per word. Although opinion varies on its accuracy as compared to the syllable/word and complex word indices, characters are more readily and accurately counted by computer programs than are syllables. The Coleman–Liau index was designed to be easily calculated mechanically from samples of hard-copy text. Unlike syllable-based readability indices, it does not require that the character content of words be analyzed, only their length in characters. Therefore, it could be used in conjunction with theoretically simple mechanical scanners that would only need to recognize character, word, and sentence boundaries, removing the need for full optical character recognition or manual keypunching. The score output approximates the U.S. grade level thought necessary to comprehend the text.","ref":"Essence.Readability.html#coleman_liau/1","title":"Essence.Readability.coleman_liau/1","type":"function"},{"doc":"Calculates the Dale-Chall readability score. that provides a numeric gauge of the comprehension difficulty that readers come upon when reading a text. It uses a list of 3000 words that groups of fourth-grade American students could reliably understand, considering any word not on that list to be difficult. Score Notes 4.9 or lower easily understood by an average 4th-grade student or lower 5.0–5.9 easily understood by an average 5th or 6th-grade student 6.0–6.9 easily understood by an average 7th or 8th-grade student 7.0–7.9 easily understood by an average 9th or 10th-grade student 8.0–8.9 easily understood by an average 11th or 12th-grade student 9.0–9.9 easily understood by an average 13th to 15th-grade (college) student","ref":"Essence.Readability.html#dale_chall/1","title":"Essence.Readability.dale_chall/1","type":"function"},{"doc":"Gunning fog index measures the readability of English writing. The index estimates the years of formal education needed to understand the text on a first reading. A fog index of 12 requires the reading level of a U.S. high school senior (around 18 years old). The test was developed by Robert Gunning, an American businessman, in 1952.[1] The fog index is commonly used to confirm that text can be read easily by the intended audience. Texts for a wide audience generally need a fog index less than 12. Texts requiring near-universal understanding generally need an index less than 8. [1] DuBay, William H. (23 March 2004). &quot;Judges Scold Lawyers for Bad Writing&quot;. Plain Language At Work Newsletter. Impact Information (8). Fog Index Reading level by grade 17 College graduate 16 College senior 15 College junior 14 College sophomore 13 College freshman 12 High school senior 11 High school junior 10 High school sophomore 9 High school freshman 8 Eighth grade 7 Seventh grade 6 Sixth grade","ref":"Essence.Readability.html#gunning_fog/1","title":"Essence.Readability.gunning_fog/1","type":"function"},{"doc":"Calculates an estimate of the time it would take an average reader to read the given Essence.Document , assuming a reading speed of 200 words per minute.","ref":"Essence.Readability.html#reading_time/2","title":"Essence.Readability.reading_time/2","type":"function"},{"doc":"The smog_grade method calculates the SMOG grade measure of readability that estimates the years of education needed to understand a piece of writing. The SMOG grade is commonly used in rating health messages. Please note that results for documents with less than 30 sentences are statistically invalid[1]. [1] https://en.wikipedia.org/wiki/SMOG","ref":"Essence.Readability.html#smog_grade/1","title":"Essence.Readability.smog_grade/1","type":"function"},{"doc":"Calculates the speaking speed in words per minute, given a speech described by the given Essence.Document and the recorded speaking_time in minutes.","ref":"Essence.Readability.html#speaking_speed/2","title":"Essence.Readability.speaking_speed/2","type":"function"},{"doc":"Calculates an estimate of the time it would take to read the given Essence.Document as a speech, with a speaking speed of 120 words per minute.","ref":"Essence.Readability.html#speaking_time/2","title":"Essence.Readability.speaking_time/2","type":"function"},{"doc":"This module contains helpful functions around Tokens","ref":"Essence.Token.html","title":"Essence.Token","type":"module"},{"doc":"Calculates the average word length over the given list of tokens .","ref":"Essence.Token.html#avg_word_length/1","title":"Essence.Token.avg_word_length/1","type":"function"},{"doc":"Count the number of syllabels in a token .","ref":"Essence.Token.html#count_syllabels/1","title":"Essence.Token.count_syllabels/1","type":"function"},{"doc":"Determines whether a given token is a polysyllabic, containing more than n syllables, or not.","ref":"Essence.Token.html#is_polysyllabic?/2","title":"Essence.Token.is_polysyllabic?/2","type":"function"},{"doc":"Determines whether a given token is punctuation or not. Returns true if the token is punctuation, false otherwise.","ref":"Essence.Token.html#is_punctuation?/1","title":"Essence.Token.is_punctuation?/1","type":"function"},{"doc":"Determines whether a given token is a word or not. Returns true if the token is a word, false otherwise.","ref":"Essence.Token.html#is_word?/1","title":"Essence.Token.is_word?/1","type":"function"},{"doc":"Calculates the length of a token as the number of graphemes in that token.","ref":"Essence.Token.html#token_length/1","title":"Essence.Token.token_length/1","type":"function"},{"doc":"The Essence.Tokenizer module exposes useful functions for transforming text into tokens and for dealing with tokens .","ref":"Essence.Tokenizer.html","title":"Essence.Tokenizer","type":"module"},{"doc":"Splits a given String into tokens on punctuation, and include the punctuation as a token. This method supports Unicode text.","ref":"Essence.Tokenizer.html#split_with_punctuation/1","title":"Essence.Tokenizer.split_with_punctuation/1","type":"function"},{"doc":"Splits a given text into tokens on punctuation, but omits the punctuation tokens. This method supports Unicode text.","ref":"Essence.Tokenizer.html#split_without_punctuation/1","title":"Essence.Tokenizer.split_without_punctuation/1","type":"function"},{"doc":"Splits a given String into tokens. A token is a sequence of characters to be treated as a group. The tokenize method will split on whitespace and punctuation, treating words and punctutation as tokens, and removing whitespace.","ref":"Essence.Tokenizer.html#tokenize/1","title":"Essence.Tokenizer.tokenize/1","type":"function"},{"doc":"Tokenizes a given stream , and returns a list of tokens . Commonly the given stream is a :line stream.","ref":"Essence.Tokenizer.html#tokenize_s/1","title":"Essence.Tokenizer.tokenize_s/1","type":"function"},{"doc":"This module contains various utility functions that simplify a number of the NLP tasks in Essence.","ref":"Essence.Utils.html","title":"Essence.Utils","type":"module"},{"doc":"Sorts a given map either by :value or :key using the supplied order_fun for comparison between elements. Returns an ordered list of {key, value} tuples.","ref":"Essence.Utils.html#map_sort/3","title":"Essence.Utils.map_sort/3","type":"function"},{"doc":"This module exports helpful methods around Vocabularies.","ref":"Essence.Vocabulary.html","title":"Essence.Vocabulary","type":"module"},{"doc":"The freq_dist method calculates the frequency distribution of tokens in the given text.","ref":"Essence.Vocabulary.html#freq_dist/1","title":"Essence.Vocabulary.freq_dist/1","type":"function"},{"doc":"The lexical_richness method computes the lexical richness of a given text.","ref":"Essence.Vocabulary.html#lexical_richness/1","title":"Essence.Vocabulary.lexical_richness/1","type":"function"},{"doc":"Return a list of {int, token} pairs, ordered by their token frequency in the given Essence.Document . Optionally supply a filter function such as Essence.Token.is_word?/1 to exclude unwanted tokens from the calculation.","ref":"Essence.Vocabulary.html#top_tokens/2","title":"Essence.Vocabulary.top_tokens/2","type":"function"},{"doc":"The vocabulary method computes the vocabulary of a given Essence.Document . The vocabulary is the unique set of dictionary words in that text.","ref":"Essence.Vocabulary.html#vocabulary/1","title":"Essence.Vocabulary.vocabulary/1","type":"function"}]